#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFE,0x59,0x13,0x74,0x85,0xB0,0xC3,0x54,0x2D,0xD5,0x6B,0x7F,
		0xCE,0x02,0xDD,0xD7,0xD2,0x1B,0x3E,0x0D,0xDE,0xB5,0x85,0xA6,
		0xD1,0x00,0x60,0xC4,0xCA,0x35,0x13,0x02,0x0B,0x7C,0x77,0xC6,
		0xE9,0xC3,0x21,0x7E,0x2A,0x28,0x30,0xF6,0x5D,0x35,0xAE,0x3B,
		0xFA,0xAF,0x0A,0x5A,0x10,0x77,0xCF,0x0A,0xFD,0x2B,0xC3,0xDD,
		0x33,0xB1,0xCC,0x87,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
